Последние сообщения

Последние сообщения

Страницы: 1 2 [3] 4 5 ... 10
21
Revit API / Re: Границы видимых элементов
« Последний ответ от enot 13-01-2022, 14:04:53 »
Outline.AddPoint
Outline - это линия из двух точек. когда мы BoundingBox Minimum/Max point  каждого элемента в нее будем добавлять , что получится?
22
Revit API / Re: Границы видимых элементов
« Последний ответ от Александр Игнатович 13-01-2022, 13:36:59 »
ну это опять-таки работа с каждым элементом.

А в чём проблема? Получить элементы текущего вида - ок, получить BoundingBox элемента на текущем виде - ок. Можно ещё Outline использовать - создать из BoundingBox-а первого, потом пройтись по всем, вызвать метод Outline.AddPoint для min/max каждого BoundingBox-а, в итоге имеем MinimumPoint и MaximumPoint.

Группу создавать не надо :-)
23
Revit API / Re: Границы видимых элементов
« Последний ответ от enot 13-01-2022, 13:20:23 »
ну это опять-таки работа с каждым элементом.
24
Revit API / Re: Границы видимых элементов
« Последний ответ от ivmax 13-01-2022, 13:01:55 »
я создавал в ручную новый ББ, брал все мин координаты минимальных точек и макс координаты максимальных точек, возможно это не самый оптимальный вариант, другого способа не нашел :)
25
Revit API / Границы видимых элементов
« Последний ответ от enot 13-01-2022, 12:55:15 »
Как определить BoundingBox для элементов видимых на виде.
То есть аналогично тому, как если бы мы добавили все видимые элементы на виде в группу и взяли ее BoundingBox, проблема в том , что на виде множество различных элементов 
26
AutoCAD .NET API / Re: Добавить атрибут в блок
« Последний ответ от Александр Ривилис 13-01-2022, 11:15:10 »
Если переити в редактор блоков, то там нет моего 5 атрибута.
Это тоже очевидно, так как ты работаешь с BlockTableRecord не основного блока, а анонимного блока, соответствующего текущему состоянию динамического блока. Посмотри свойства этого блока при помощи MGDDBG.
27
AutoCAD .NET API / Re: Добавить атрибут в блок
« Последний ответ от Александр Ривилис 13-01-2022, 11:13:21 »
Еще вопрос, почему  AttDef1.Prompt = "Новый атрибут" не сработала?
Ну как минимум потому, что ты его открываешь ForRead. Странно, что вообще исключение не выскочило. И непонятно почему ты не задал Prompt сразу после ad.SetDatabaseDefaults()
28
AutoCAD .NET API / Re: Добавить атрибут в блок
« Последний ответ от Захаров Максим 13-01-2022, 11:00:10 »
О, как интересно. Я добавил такую строчку, все стало гораздо лучше, редактор блоков открывается, Параметр перемещения работает, естественно только для первых 4 атрибутов, но и 5 атрибут тоже можно перемещать только отдельно от остальных атрибутов. Если переити в редактор блоков, то там нет моего 5 атрибута. Скажите так можно оставить? Или могут быть какие то проблемы с таким блоком потом? Еще вопрос, почему  AttDef1.Prompt = "Новый атрибут" не сработала?
29
AutoCAD .NET API / Re: Добавить атрибут в блок
« Последний ответ от Александр Ривилис 13-01-2022, 10:19:32 »
Кроме того я не увидел строчки:
Код - vb.net [Выбрать]
  1. tr.AddNewlyCreatedDBObject(ad, True)
30
AutoCAD .NET API / Re: Добавить атрибут в блок
« Последний ответ от Александр Ривилис 13-01-2022, 10:06:10 »
Захаров Максим,
Мне придется тебя огорчить, но в публичных API нет средств, позволяющих таким образом модифицировать динамические блоки. Ну и кроме того нужно сначала добавить определение атрибута к определению блока, а уже затем добавлять вставку атрибута к вставке блока.
Страницы: 1 2 [3] 4 5 ... 10